QuickFIX: FIX::DatabaseConnectionID Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::DatabaseConnectionID Class Reference

`#include <DatabaseConnectionID.h>`

List of all members.

## Public Member Functions
| DatabaseConnectionID (const std::string &database, const std::string &user, const std::string &password, const std::string &host, short port)
const std::string & | getDatabase () const
const std::string & | getUser () const
const std::string & | getPassword () const
const std::string & | getHost () const
short | getPort () const
## Private Attributes
std::string | m_database
std::string | m_user
std::string | m_password
std::string | m_host
short | m_port
## Friends
bool | operator< (const DatabaseConnectionID &, const DatabaseConnectionID &)
bool | operator== (const DatabaseConnectionID &, const DatabaseConnectionID &)
bool | operator!= (const DatabaseConnectionID &, const DatabaseConnectionID &)

## Detailed Description

Definition at line 34 of file DatabaseConnectionID.h.

## Constructor & Destructor Documentation

FIX::DatabaseConnectionID::DatabaseConnectionID | ( | const std::string & | database,
|  | const std::string & | user,
|  | const std::string & | password,
|  | const std::string & | host,
|  | short | port |
| ) |  |  | `[inline]`

Definition at line 38 of file DatabaseConnectionID.h.

    00040   : m_database( database ), m_user( user ), m_password( password ),
    00041     m_host( host ), m_port( port ) {}

## Member Function Documentation

const std::string& FIX::DatabaseConnectionID::getDatabase | ( |  | ) | const`[inline]`

Definition at line 47 of file DatabaseConnectionID.h.

References m_database.

    00048     { return m_database; }

const std::string& FIX::DatabaseConnectionID::getHost | ( |  | ) | const`[inline]`

Definition at line 53 of file DatabaseConnectionID.h.

References m_host.

    00054     { return m_host; }

const std::string& FIX::DatabaseConnectionID::getPassword | ( |  | ) | const`[inline]`

Definition at line 51 of file DatabaseConnectionID.h.

References m_password.

    00052     { return m_password; }

short FIX::DatabaseConnectionID::getPort | ( |  | ) | const`[inline]`

Definition at line 55 of file DatabaseConnectionID.h.

References m_port.

    00056     { return m_port; }

const std::string& FIX::DatabaseConnectionID::getUser | ( |  | ) | const`[inline]`

Definition at line 49 of file DatabaseConnectionID.h.

References m_user.

    00050     { return m_user; }

## Friends And Related Function Documentation

bool operator!= | ( | const DatabaseConnectionID & | ,
|  | const DatabaseConnectionID & |  |
| ) |  |  | `[friend]`

bool operator< | ( | const DatabaseConnectionID & | ,
|  | const DatabaseConnectionID & |  |
| ) |  |  | `[friend]`

bool operator== | ( | const DatabaseConnectionID & | ,
|  | const DatabaseConnectionID & |  |
| ) |  |  | `[friend]`

## Member Data Documentation

std::string FIX::DatabaseConnectionID::m_database`[private]`

Definition at line 59 of file DatabaseConnectionID.h.

Referenced by getDatabase(), FIX::operator<(), and FIX::operator==().

std::string FIX::DatabaseConnectionID::m_host`[private]`

Definition at line 62 of file DatabaseConnectionID.h.

Referenced by getHost(), FIX::operator<(), and FIX::operator==().

std::string FIX::DatabaseConnectionID::m_password`[private]`

Definition at line 61 of file DatabaseConnectionID.h.

Referenced by getPassword(), FIX::operator<(), and FIX::operator==().

short FIX::DatabaseConnectionID::m_port`[private]`

Definition at line 63 of file DatabaseConnectionID.h.

Referenced by getPort(), FIX::operator<(), and FIX::operator==().

std::string FIX::DatabaseConnectionID::m_user`[private]`

Definition at line 60 of file DatabaseConnectionID.h.

Referenced by getUser(), FIX::operator<(), and FIX::operator==().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/DatabaseConnectionID.h